mapMod = ...

mapMod:registerAssetId("maps/heightmap.png", "HEIGHT_MAP")
mapMod:registerAssetId("maps/material_mask_blendmap.png", MOD_NS .. "MATERIAL_MASK")
mapMod:registerAssetId("maps/A_coniferous_density.png", MOD_NS .. "CONIFEROUS_DENSITY_MAP")
mapMod:registerAssetId("maps/A_deciduous_density.png", MOD_NS .. "DECIDUOUS_DENSITY_MAP")
mapMod:registerAssetId("maps/Dense_deciduous_map.png", MOD_NS .. "DENSE_DECIDUOUS_DENSITY_MAP")

local tallBeechScale = {
	Min = 0.9,
	Max = 1.2
}

local orientation = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					}

mapMod:register({
	DataType = "CUSTOM_MAP",
	Id = "MAP_JK_TV_01",
	HeightMap = "HEIGHT_MAP",
	MaterialMask = MOD_NS .. "MATERIAL_MASK",
	MinHeight = -28,
	MaxHeight = 140,
	VillagePathList = {
		{
			Entrance = { 895, 49, 1004 },
			Exit = { 894, 49, 1004 }
		},
		{
			Entrance = { 117, 19, 1002 },
			Exit = { 118, 19, 1002 }
		},
		{
			Entrance = { 24, 31, 61 },
			Exit = { 25, 31, 61}
		},
	},
	DensitySpawnList = {
		{
			-- Create forest of Deciduous trees and a few pine
			DensityMap = MOD_NS .. "DECIDUOUS_DENSITY_MAP",
			Density = 0.35,
			PrefabConfigList = {
				{
					PrefabList = { MOD_NS .. "PREFAB_OAK_A" },
					RandomWeight = 4,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { MOD_NS .. "PREFAB_OAK_B" },
					RandomWeight = 0.5,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { MOD_NS .. "PREFAB_OAK_C" },
					RandomWeight = 5,
					OffsetSizeRange = {
						Min = 0.7,
						Max = 1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = tallBeechScale,
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { MOD_NS .. "PREFAB_BEECH_A" },
					RandomWeight = 5,
					OffsetSizeRange = {
						Min = 0.8,
						Max = 1.5
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { MOD_NS .. "PREFAB_BEECH_B" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 0.8,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = tallBeechScale,
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				}, {
					PrefabList = { MOD_NS .. "PREFAB_BEECH_C" },
					RandomWeight = 3,
					OffsetSizeRange = {
						Min = 0.8,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = tallBeechScale,
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { MOD_NS .. "PREFAB_BEECH_D" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 0.8,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = tallBeechScale,
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { MOD_NS .. "PREFAB_BEECH_SAPLING_A" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1,
						Max = 2
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { MOD_NS .. "PREFAB_MAPLE_A" },
					RandomWeight = 1,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.9,
						Max = 1.2
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
				{
					PrefabList = { MOD_NS .. "PREFAB_MAPLE_B" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.9,
						Max = 1.2
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 1 },
						Max = { 1, 1, 1, 1 }
					}
				},
			}
		},
		{
			-- Create forest of Pine Trees
			DensityMap = MOD_NS .. "CONIFEROUS_DENSITY_MAP",
			Density = 0.45,
			PrefabConfigList = {
				{
					PrefabList = { MOD_NS .. "PREFAB_PINE_A" },
					RandomWeight = 0.3,
					OffsetSizeRange = {
						Min = 0.9,
						Max = 1.1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.9,
						Max = 1.15
					},
					ColorRange = {
						Min = { 0.3, 0.3, 0.3, 1 },
						Max = { 0.9, 0.9, 0.9, 1 }
					}
				},
				{
					PrefabList = { MOD_NS .. "PREFAB_PINE_B" },
					RandomWeight = 0.1,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.3, 0.3, 0.3, 1 },
						Max = { 0.9, 0.9, 0.9, 1 }
					}
				},
				{
					PrefabList = { MOD_NS .. "PREFAB_PINE_C" },
					RandomWeight = 0.03,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.2
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1.0,
						Max = 1.1
					},
					ColorRange = {
						Min = { 0.3, 0.3, 0.3, 1 },
						Max = { 0.9, 0.9, 0.9, 1 }
					}
				},
			}
		},
	},
	SpawnList = {
	   { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			882.965942, 
			29.509094, 
			734.459717
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			874.226746, 
			26.650696, 
			727.803406
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			853.527893, 
			53.332703, 
			534.875732
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			907.229675, 
			54.615540, 
			525.032593
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			946.224731, 
			93.429626, 
			425.942291
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			990.970215, 
			93.978210, 
			495.438171
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			859.333801, 
			44.263855, 
			420.055237
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			870.333801, 
			55.263855, 
			450.055237
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			829.333801, 
			70.263855, 
			450.055237
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			829.333801, 
			44.263855, 
			430.055237
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			887.348145, 
			26.263000, 
			301.686035
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			853.485107, 
			15.317932, 
			302.565338
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			878.756836, 
			21.763916, 
			293.838379
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			826.092224, 
			27.810791, 
			441.506073
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			735.328003, 
			4.025208, 
			735.695068
		}, Orientation = {
			0, 
			-0.058040, 
			0, 
			0.998314
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			729.896973, 
			4.752502, 
			722.472168
		}, Orientation = {
			0, 
			-0.058040, 
			0, 
			0.998314
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			683.293274, 
			52.933289, 
			936.663574
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			637.368774, 
			31.019287, 
			926.047424
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			677.380493, 
			54.323975, 
			868.038818
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			489.480103, 
			3.071960, 
			761.324402
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			485.698334, 
			5.876831, 
			779.033020
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			416.467255, 
			15.830933, 
			711.379272
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			454.788330, 
			7.038757, 
			739.689697
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			350.778595, 
			19.345459, 
			754.855957
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			340.778595, 
			19.345459, 
			759.855957
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			498.957733, 
			28.089783, 
			909.203064
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			275.211426, 
			22.498047, 
			896.722778
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			244.394012, 
			26.343323, 
			875.237915
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			222.827927, 
			25.408691, 
			761.187256
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			48.491531, 
			39.046814, 
			919.470703
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			22.014511, 
			40.396057, 
			924.410278
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			34.660202, 
			33.398743, 
			802.929626
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			201.886566, 
			27.614380, 
			642.722656
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			267.508392, 
			25.054932, 
			608.633423
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			257.312866, 
			21.212769, 
			433.983154
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			267.542725, 
			20.153259, 
			437.214783
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			366.796143, 
			13.032349, 
			487.476898
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			424.406128, 
			21.419617, 
			586.107666
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			512.331360, 
			14.484741, 
			558.409546
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			544.028442, 
			2.385376, 
			654.133179
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			602.450684, 
			4.195984, 
			639.971436
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			417.754395, 
			21.856812, 
			593.082397
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			118.048706, 
			25.370239, 
			445.040192
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			124.377609, 
			24.485840, 
			445.314728
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			111.972626, 
			25.066345, 
			430.190277
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			689.154297, 
			27.218323, 
			286.964355
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			647.405273, 
			36.114319, 
			305.772766
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			496.531372, 
			14.336975, 
			273.382019
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			597.239563, 
			9.770264, 
			194.594711
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			764.013794, 
			10.947632, 
			194.027313
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			573.820007, 
			30.684326, 
			413.279663
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			707.904663, 
			24.683289, 
			287.638184
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			428.597931, 
			31.167175, 
			111.646164
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			413.643524, 
			35.343689, 
			116.723801
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			323.496826, 
			39.192200, 
			101.834351
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			318.024506, 
			37.450012, 
			99.232094
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			296.244934, 
			30.650085, 
			120.098503
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			244.403290, 
			28.339111, 
			129.524567
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			250.072861, 
			27.436646, 
			130.193604
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			88.283417, 
			27.046692, 
			57.748344
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			146.939423, 
			37.578003, 
			91.964233
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			142.207153, 
			36.263733, 
			95.355354
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			146.869568, 
			37.392029, 
			101.370613
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			94.993256, 
			15.136719, 
			231.938446
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			38.826660, 
			17.026611, 
			207.047394
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_ROCK", Position = {
			514.735596, 
			33.321411, 
			54.343536
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			650.326904, 
			35.462708, 
			45.821274
		}, Orientation = {
			0, 
			-0.264873, 
			0,
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			734.715820, 
			7.171753, 
			62.206131
		}, Orientation = {
			0, 
			-0.264873, 
			0,
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			815.186035, 
			6.980347, 
			18.623291
		}, Orientation = {
			0, 
			-0.264873, 
			0, 
			0.964283
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			962.947571, 
			-8.202698, 
			91.097656
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			989.932312, 
			-14.894836, 
			124.544250
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			936.410278, 
			-16.015991, 
			144.771606
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			863.421814, 
			-14.990662, 
			177.271072
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			892.704895, 
			-10.292419, 
			190.334259
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			856.570923, 
			-10.003662, 
			201.621674
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			927.759338, 
			-4.173645, 
			71.879944
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			966.372192, 
			-5.405334, 
			180.127930
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			930.079285, 
			-5.218262, 
			191.307358
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			877.890381, 
			-4.814026, 
			233.574066
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			650.689270, 
			-6.889221, 
			137.823120
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			502.988464, 
			-7.366516, 
			185.682922
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			395.911377, 
			-12.218811, 
			256.416046
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			404.006775, 
			-4.653809, 
			456.965393
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			245.955017, 
			-5.260010, 
			334.064392
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			226.850708, 
			-18.934875, 
			298.419647
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			147.725342, 
			-10.777588, 
			298.845245
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			72.406799, 
			-3.908020, 
			286.104370
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			669.577454, 
			2, 
			647.663696
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = "PREFAB_RESOURCE_FISH", Position = {
			596.798462, 
			2, 
			724.305481
		}, Orientation = {
			0, 
			0, 
			0, 
			1
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			769.220764, 
			14.300354, 
			238.642883
		}, Orientation = {
			0, 
			-0.824205, 
			0, 
			0.566291
		} }
		, { Prefab = MOD_NS .. "PREFAB_BERRY_BUSH", Position = {
			972.647522, 
			34.452026, 
			224.219025
		}, Orientation = {
			0, 
			-0.824205, 
			0, 
			0.566291
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_3", Position = {
			760.116821, 
			31.647522, 
			815.660461
		}, Orientation = {
			0, 
			-0.750486, 
			0, 
			0.660886
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_2", Position = {
			720.466431, 
			54.766296, 
			961.894409
		}, Orientation = {
			0, 
			-0.688049, 
			0, 
			0.725664
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_1", Position = {
			711.808228, 
			48.378967, 
			980.326294
		}, Orientation = {
			0, 
			-0.688049, 
			0, 
			0.725664
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_2", Position = {
			730.321838, 
			17.176758, 
			239.236084
		}, Orientation = {
			0, 
			-0.856679, 
			0, 
			0.515850
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_1", Position = {
			731.321838, 
			13.176758, 
			219.236084
		}, Orientation = {
			0, 
			-0.856679, 
			0, 
			0.515850
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_3", Position = {
			755.321838, 
			11.176758, 
			210.236084
		}, Orientation = {
			0, 
			-0.856679, 
			0, 
			0.515850
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_2", Position = {
			350.657715, 
			5.841492, 
			497.703613
		}, Orientation = {
			0, 
			-0.266448, 
			0, 
			0.963849
		} },
		{ Prefab = "PREFAB_MINERAL_SOURCE_2", Position = {
			354.846863, 
			3.929688, 
			490.151001
		}, Orientation = {
			0, 
			-0.434700, 
			0, 
			0.900575
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_3", Position = {
			953.148926, 
			41.845459, 
			261.757019
		}, Orientation = {
			0, 
			-0.352181, 
			0, 
			0.935932
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_2", Position = {
			936.978577, 
			32.946045, 
			301.179871
		}, Orientation = {
			0, 
			-0.698856, 
			0, 
			0.715262
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_1", Position = {
			928.168762, 
			28.277771, 
			334.039825
		}, Orientation = {
			0, 
			-0.698856, 
			0, 
			0.715262
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_2", Position = {
			925.696716, 
			30.532532, 
			360.744812
		}, Orientation = {
			0, 
			-0.698856, 
			0, 
			0.715262
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_2", Position = {
			924.640259, 
			26.400452, 
			322.896515
		}, Orientation = {
			0, 
			-0.698856, 
			0, 
			0.715262
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_1", Position = {
			925.960205, 
			27.906799, 
			347.505798
		}, Orientation = {
			0, 
			-0.698856, 
			0, 
			0.715262
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_3", Position = {
			930.643433, 
			28.499512, 
			311.597168
		}, Orientation = {
			0, 
			-0.698856, 
			0, 
			0.715262
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_3", Position = {
			941.552551, 
			35.681519, 
			520.026978
		}, Orientation = {
			0, 
			-0.508806, 
			0, 
			0.860881
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_1", Position = {
			943.371643, 
			33.094910, 
			528.679993
		}, Orientation = {
			0, 
			-0.508806, 
			0, 
			0.860881
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_2", Position = {
			940.827637, 
			40.216309, 
			509.680786
		}, Orientation = {
			0, 
			-0.643297, 
			0, 
			0.765616
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_1", Position = {
			952.724304, 
			34.039063, 
			540.955811
		}, Orientation = {
			0, 
			-0.719996, 
			0, 
			0.693978
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_3", Position = {
			928.245972, 
			12.990051, 
			635.210144
		}, Orientation = {
			0, 
			-0.698856, 
			0, 
			0.715262
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_2", Position = {
			929.093384, 
			14.801392, 
			649.766052
		}, Orientation = {
			0, 
			-0.698856, 
			0, 
			0.715262
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_1", Position = {
			928.061218, 
			14.292542, 
			672.218933
		}, Orientation = {
			0, 
			-0.698856, 
			0, 
			0.715262
		} }
		, { Prefab = "PREFAB_MINERAL_SOURCE_1", Position = {
			930.654663, 
			15.505981, 
			697.817444
		}, Orientation = {
			0, 
			-0.698856, 
			0, 
			0.715262
		} },
		{ Prefab = MOD_NS .. "PREFAB_BERRY_BUSH",
			Position = {
				255.460999, 
				15.505249, 
				707.336243
			}, Orientation = {
				0, 
				0, 
				0, 
				1
			}
		},
		{ Prefab = MOD_NS .. "PREFAB_BERRY_BUSH",
			Position = {
				373.884552, 
				18.299438, 
				733.482666
			}, Orientation = {
				0, 
				-0.276523, 
				0, 
				0.961007
			}
		},
		{ Prefab = MOD_NS .. "PREFAB_BERRY_BUSH",
			Position = {
				386.141022, 
				15.047913, 
				760.039307
			}, Orientation = {
				0, 
				-0.276523, 
				0, 
				0.961007
			}
		},
		{ Prefab = MOD_NS .. "PREFAB_BERRY_BUSH",
			Position = {
				255.460999, 
				15.505249, 
				707.336243
			}, Orientation = {
				0, 
				0, 
				0, 
				1
			}
		},
		{ Prefab = MOD_NS .. "PREFAB_BERRY_BUSH",
			Position = {
				296.884399, 
				14.742554, 
				640.251221
			}, Orientation = {
				0, 
				0, 
				0, 
				1
			}
		}
	}
})