mapMod = ...

-- mapMod:registerAssetId("icons/apple.png", "JK_TEST_IMAGE", "ATLAS_CELL")

mapMod:registerAssetProcessor("models/pine.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

mapMod:registerAssetId("models/pine.fbx/Materials/pine_needles", MOD_NS .. "TRANSPARENT_NEEDLES")
mapMod:override({
    Id = MOD_NS .. "TRANSPARENT_NEEDLES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true,
})

mapMod:registerAssetId("models/pine.fbx/Materials/beech_leaves", MOD_NS .. "TRANSPARENT_BEECH_LEAVES")
mapMod:override({
    Id = MOD_NS .. "TRANSPARENT_BEECH_LEAVES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true,
})

mapMod:registerAssetId("models/pine.fbx/Materials/maple_leaves", MOD_NS .. "TRANSPARENT_MAPLE_LEAVES")
mapMod:override({
    Id = MOD_NS .. "TRANSPARENT_MAPLE_LEAVES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true,
})

mapMod:registerAssetId("models/pine.fbx/Materials/maple_leaves_alt", MOD_NS .. "TRANSPARENT_MAPLE_LEAVES_ALT")
mapMod:override({
    Id = MOD_NS .. "TRANSPARENT_MAPLE_LEAVES_ALT",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true,
})

mapMod:registerAssetId("models/pine.fbx/Materials/oak_leaves", MOD_NS .. "TRANSPARENT_OAK_LEAVES")
mapMod:override({
    Id = MOD_NS .. "TRANSPARENT_OAK_LEAVES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true
})

function registerTree(fbxPath, name)
    local prefabName = MOD_NS .. "PREFAB_" .. name
    mapMod:registerAssetId(fbxPath, prefabName)
    mapMod:registerPrefabComponent(fbxPath, { DataType = "COMP_PLANTABLE", MinSpaceBetweenPlant = 6.0 })
    mapMod:registerPrefabComponent(fbxPath, { DataType = "COMP_TREE" })

    mapMod:registerPrefabComponent(fbxPath, {
        DataType = "COMP_RESOURCE_CONTAINER",
        ResourceData = "WOOD",
        IsReplenishable = false,
        ResourceValue = 4,
        AvailableQuantity = 2,
        Radius = 1.3,
        IsDestroyWhenEmpty = true,
        HasMaximumWorkstation = false
    })
    
    mapMod:register({
        DataType = "PLANTABLE",
        Id = MOD_NS .. "PLANTABLE_" .. name,
        Name = MOD_NS .. "PLANTABLE_" .. name .. "_NAME",
        PlantPrefab = prefabName,
        -- Icon = "JK_TEST_IMAGE",
        MinimumScale = 0.3,
        MaximumScale = 0.6
    })
end

registerTree("models/pine.fbx/Prefab/PineAPart", "PINE_A")
registerTree("models/pine.fbx/Prefab/SingleMeshPinePart", "PINE_AA")
registerTree("models/pine.fbx/Prefab/PineBPart", "PINE_B")
registerTree("models/pine.fbx/Prefab/PineCPart", "PINE_C")
registerTree("models/pine.fbx/Prefab/OakTreeAPart", "OAK_A")
registerTree("models/pine.fbx/Prefab/OakTreeBPart", "OAK_B")
registerTree("models/pine.fbx/Prefab/OakTreeCPart", "OAK_C")
registerTree("models/pine.fbx/Prefab/BeechTreeAPart", "BEECH_A")
registerTree("models/pine.fbx/Prefab/BeechTreeBPart", "BEECH_B")
registerTree("models/pine.fbx/Prefab/BeechTreeCPart", "BEECH_C")
registerTree("models/pine.fbx/Prefab/BeechTreeDPart", "BEECH_D")
registerTree("models/pine.fbx/Prefab/BeechSaplingAPart", "BEECH_SAPLING_A")
registerTree("models/pine.fbx/Prefab/MapleTreeAPart", "MAPLE_A")
registerTree("models/pine.fbx/Prefab/MapleTreeBPart", "MAPLE_B")

mapMod:override({
    Id = "DEFAULT_BALANCING",
    PlantableList = {
		Action = "APPEND",
        MOD_NS .. "PLANTABLE_PINE_AA"
    }
})

mapMod:registerAssetId("models/pine.fbx/Prefab/BerryBushPart", MOD_NS .. "PREFAB_BERRY_BUSH")
mapMod:registerPrefabComponent("models/pine.fbx/Prefab/BerryBushPart/a", { DataType = "COMP_GROUNDED"})
mapMod:registerPrefabComponent("models/pine.fbx/Prefab/BerryBushPart/b", { DataType = "COMP_GROUNDED"})
mapMod:registerPrefabComponent("models/pine.fbx/Prefab/BerryBushPart/c", { DataType = "COMP_GROUNDED"})

mapMod:registerPrefabComponent( "models/pine.fbx/Prefab/BerryBushPart", {
    DataType = "COMP_RESOURCE_CONTAINER",
    ResourceData = "BERRIES",
    IsReplenishable = true,
    ReplenishDurationInDays = 7,
    ReplenishQuantity = 300,
    ResourceValue = 2.0,
    AvailableQuantity = 300,
    Radius = 0.85,
    IsDestroyWhenEmpty = false,
    HasMaximumWorkstation = false
})

mapMod:registerAssetId("models/pine.fbx/Materials/berry_leaves", MOD_NS .. "TRANSPARENT_BERRY_LEAVES")
mapMod:override({
    Id = MOD_NS .. "TRANSPARENT_BERRY_LEAVES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true
})